<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }


    // preloader hook function
    if( ! function_exists( 'monji_preloader_wrap_cb' ) ) {
        function monji_preloader_wrap_cb() {
            $preloader_display  =  monji_opt('monji_display_preloader');

            if( class_exists('ReduxFramework') ){
                if( $preloader_display ){
                    echo '<div class="loader-wrapper">';
                        echo '<div class="loader"></div>';
                        echo '<div class="loader-section section-left"></div>';
                        echo '<div class="loader-section section-right"></div>';
                    echo '</div>';
                }
            }
        }
    }

    // Color Switcher hook function
    if( ! function_exists( 'monji_Color_Switcher_cb' ) ) {
        function monji_Color_Switcher_cb() {
            $Color_Switcher  =  monji_meta('Color_Switcher');

            if( class_exists('ReduxFramework') ){
                if( $Color_Switcher ){
                    echo '<div id="switcher" class="switcher">';
                        echo '<p>'.esc_html('Color Switcher','monji').'</p>';
                        echo '<div>';
                            echo '<span id="yellow"></span>';
                            echo '<span id="red"></span>';
                            echo '<span id="green"></span>';
                            echo '<span id="green2"></span>';
                            echo '<span id="orange"></span>';
                            echo '<span id="blue"></span>';
                            echo '<span id="blue2"></span>';
                            echo '<span id="pink"></span>';
                            echo '<span id="goldenrod"></span>';
                            echo '<span id="pink2"></span>';
                        echo '</div>';
                        echo '<span id="toggle-switcher"><i class="icon-cog"></i></span>';
                    echo '</div>';
                }
            }
        }
    }

    // sound hook function
    if( ! function_exists( 'monji_soundmodal_cb' ) ) {
        function monji_soundmodal_cb() {

            $Allow_Sound_Effects  =  monji_meta('Allow_Sound_Effects');

            if( class_exists('ReduxFramework') ){
                if( $Allow_Sound_Effects ){
                    echo '<div id="soundmodal" class="soundmodal">';
                        echo '<div class="soundmodal-content">';
                            echo '<img class="sound-icon" src="'.MONJI_DIR_ASSIST_URI.'img/volume.png" alt="'.esc_html__('logo','monji').'">';
                            echo '<p>'.esc_html('Allow Sound Effects ?','monji').'</p>';
                            echo '<div class="buttons">';
                                echo '<span id="no" class="no">'.esc_html('No','monji').'</span>';
                                echo '<span id="yes" class="yes">'.esc_html('Yes','monji').'</span>';
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                }
            }
        }
    }

    // Header Hook function
    if( !function_exists('monji_header_cb') ) {
        function monji_header_cb( ) {
            get_template_part('templates/header');
            get_template_part('templates/header-menu-bottom');
        }
    }

    // Blog Start Wrapper Function
    if( !function_exists('monji_blog_start_wrap_cb') ) {
        function monji_blog_start_wrap_cb() {

            echo '<div class="blog-area right-sidebar full-blog default-padding">';
                echo '<div class="container">';
                    echo '<div class="blog-items">';
                        echo '<div class="row">';
        }
    }

    // Blog End Wrapper Function
    if( !function_exists('monji_blog_end_wrap_cb') ) {
        function monji_blog_end_wrap_cb() {
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        }
    }

    // Blog Column Start Wrapper Function
    if( !function_exists('monji_blog_col_start_wrap_cb') ) {
        function monji_blog_col_start_wrap_cb() {
            if( class_exists('ReduxFramework') ) {
                $monji_blog_sidebar = monji_opt('monji_blog_sidebar');
                $monji_blog_grid = monji_opt('monji_blog_grid');
                if( $monji_blog_sidebar == '2' && is_active_sidebar('monji-blog-sidebar') ) {
                    echo '<div class="blog-content col-lg-8 col-md-12 order-lg-last">';
                } elseif( $monji_blog_sidebar == '3' && is_active_sidebar('monji-blog-sidebar') ) {
                    echo '<div class="blog-content col-lg-8 col-md-12">';
                } else {
                    if( $monji_blog_grid != '1' ) {
                        echo '<div class="blog-content col-md-12">';
                    }else{
                        echo '<div class="blog-content col-lg-10 offset-lg-1 col-md-12">';
                    }
                }
            } else {
                if( is_active_sidebar('monji-blog-sidebar') ) {
                    echo '<div class="blog-content col-lg-8 col-md-12">';
                } else {
                    echo '<div class="blog-content col-lg-10 offset-lg-1 col-md-12">';
                }
            }
        }
    }
    // Blog Column End Wrapper Function
    if( !function_exists('monji_blog_col_end_wrap_cb') ) {
        function monji_blog_col_end_wrap_cb() {
            echo '</div>';
        }
    }

    // Blog Sidebar
    if( !function_exists('monji_blog_sidebar_cb') ) {
        function monji_blog_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $monji_blog_sidebar = monji_opt('monji_blog_sidebar');
            } else {
                $monji_blog_sidebar = 2;
            }
            if( $monji_blog_sidebar != 1 && is_active_sidebar('monji-blog-sidebar') ) {
                // Sidebar
                get_sidebar();
            }
        }
    }


    if( !function_exists('monji_blog_details_sidebar_cb') ) {
        function monji_blog_details_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $monji_blog_single_sidebar = monji_opt('monji_blog_single_sidebar');
            } else {
                $monji_blog_single_sidebar = 4;
            }
            if( $monji_blog_single_sidebar != 1 ) {
                // Sidebar
                get_sidebar();
            }

        }
    }

    // Blog Pagination Function
    if( !function_exists('monji_blog_pagination_cb') ) {
        function monji_blog_pagination_cb( ) {
            get_template_part('templates/pagination');
        }
    }

    // Blog Content Function
    if( !function_exists('monji_blog_content_cb') ) {
        function monji_blog_content_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $monji_blog_grid = monji_opt('monji_blog_grid');
            } else {
                $monji_blog_grid = '1';
            }

            if( $monji_blog_grid == '1' ) {
                $monji_blog_grid_class = 'col-lg-12';
            } elseif( $monji_blog_grid == '2' ) {
                $monji_blog_grid_class = 'col-lg-6 col-md-6 single-item';
            } else {
                $monji_blog_grid_class = 'col-lg-4 col-md-6 single-item';
            }
            if( $monji_blog_grid == '1' ) {
                echo '<div class="blog-item-box">';
                    if( have_posts() ) {
                        while( have_posts() ) {
                            the_post();
                            echo '<div class="single-item">';
                                echo '<div class="'.esc_attr($monji_blog_grid_class).'">';
                                    get_template_part('templates/content',get_post_format());
                                echo '</div>';
                            echo '</div>';
                        }
                        wp_reset_postdata();
                    } else{
                        get_template_part('templates/content','none');
                    }
                echo '</div>';
            }else{
                echo '<div class="row">';
                    if( have_posts() ) {
                        while( have_posts() ) {
                            the_post();
                            echo '<div class="'.esc_attr($monji_blog_grid_class).'">';
                                get_template_part('templates/content',get_post_format());
                            echo '</div>';
                        }
                        wp_reset_postdata();
                    } else{
                        get_template_part('templates/content','none');
                    }
                echo '</div>'; 
            }
            
        }
    }

    // footer content Function
    if( !function_exists('monji_footer_content_cb') ) {
        function monji_footer_content_cb( ) {

            if( class_exists('ReduxFramework') && did_action( 'elementor/loaded' )  ){
                if( is_page() || is_page_template('template-builder.php') || is_page_template('home-slider-version.php') ) {
                    $post_id = get_the_ID();

                    // Get the page settings manager
                    $page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

                    // Get the settings model for current post
                    $page_settings_model = $page_settings_manager->get_model( $post_id );

                    // Retrieve the Footer Style
                    $footer_settings = $page_settings_model->get_settings( 'monji_footer_style' );

                    // Footer Local
                    $footer_local = $page_settings_model->get_settings( 'monji_footer_builder_option' );

                    // Footer Enable Disable
                    $footer_enable_disable = $page_settings_model->get_settings( 'monji_footer_choice' );

                    if( $footer_enable_disable == 'yes' ){
                        if( $footer_settings == 'footer_builder' ) {
                            // local options
                            $monji_local_footer = get_post( $footer_local );
                            echo '<footer>';
                            echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $monji_local_footer->ID );
                            echo '</footer>';
                        } else {
                            // global options
                            $monji_footer_builder_trigger = monji_opt('monji_footer_builder_trigger');
                            if( $monji_footer_builder_trigger == 'footer_builder' ) {
                                echo '<footer>';
                                $monji_global_footer_select = get_post( monji_opt( 'monji_footer_builder_select' ) );
                                $footer_post = get_post( $monji_global_footer_select );
                                echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                                echo '</footer>';
                            } else {
                                // wordpress widgets
                                monji_footer_global_option();
                            }
                        }
                    }
                } else {
                    // global options
                    $monji_footer_builder_trigger = monji_opt('monji_footer_builder_trigger');
                    if( $monji_footer_builder_trigger == 'footer_builder' ) {
                        echo '<footer>';
                        $monji_global_footer_select = get_post( monji_opt( 'monji_footer_builder_select' ) );
                        $footer_post = get_post( $monji_global_footer_select );
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $footer_post->ID );
                        echo '</footer>';
                    } else {
                        // wordpress widgets
                        monji_footer_global_option();
                    }
                }
            } else {
                    echo '<footer class="footer-bottom bg-dark">';
                        echo '<div class="container">';
                            echo '<p class="text-center text-white">'.esc_html__( 'Copyright', 'monji' ).' <i class="fal fa-copyright"></i> '.esc_html( date('Y') ).' <a href="'.esc_url( '#' ).'">'.esc_html( 'Monji', 'monji' ).'</a>'.esc_html__( ' All Rights Reserved by', 'monji' ).' <a href="'.esc_url('#').'">'.esc_html__( 'Validthemes', 'monji' ).'</a></p>';
                        echo '</div>';
                    echo '</footer>';
            }

        }
    }

    // blog details wrapper start hook function
    if( !function_exists('monji_blog_details_wrapper_start_cb') ) {
        function monji_blog_details_wrapper_start_cb( ) {
            echo '<section class="blog-area single full-blog right-sidebar full-blog default-padding">';
                echo '<div class="container">';
                    echo '<div class="blog-items">';
                        echo '<div class="row">';
        }
    }

    // blog details column wrapper start hook function
    if( !function_exists('monji_blog_details_col_start_cb') ) {
        function monji_blog_details_col_start_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $monji_blog_single_sidebar = monji_opt('monji_blog_single_sidebar');
                if( $monji_blog_single_sidebar == '2' && is_active_sidebar('monji-blog-sidebar') ) {
                    echo '<div class="blog-content col-lg-8 col-md-12 order-last">';
                } elseif( $monji_blog_single_sidebar == '3' && is_active_sidebar('monji-blog-sidebar') ) {
                    echo '<div class="blog-content col-lg-8 col-md-12">';
                } else {
                    echo '<div class="blog-content col-lg-10 offset-lg-1 col-md-12">';
                }

            } else {
                if( is_active_sidebar('monji-blog-sidebar') ) {
                    echo '<div class="blog-content col-lg-8 col-md-12">';
                } else {
                    echo '<div class="blog-content col-lg-10 offset-lg-1 col-md-12">';
                }
            }
        }
    }

    // blog details post meta hook function
    if( !function_exists('monji_blog_post_meta_cb') ) {
        function monji_blog_post_meta_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $monji_display_post_date      =  monji_opt('monji_display_post_date');
                $monji_display_post_admin     =  monji_opt('monji_display_admin');
                $monji_display_post_views     =  monji_opt('monji_display_post_views');

            } else {
                $monji_display_post_date      = '1';
                $monji_display_post_admin     = '1';
                $monji_display_post_views     = '';
            }

            echo '<!-- Blog Meta -->';
            echo '<div class="meta">';

                echo '<ul>';
                    if( $monji_display_post_date ){
                        echo '<li>';
                            echo '<a href="'.esc_url( monji_blog_date_permalink() ).'"><i class="fas fa-calendar-alt"></i><time datetime="'.esc_attr( get_the_date( DATE_W3C ) ).'">'.esc_html( get_the_date() ).'</time></a>';
                        echo '</li>';
                    }
                    if( $monji_display_post_admin ){
                        echo '<li>';
                            echo '<a href="'.esc_url( get_author_posts_url( get_the_author_meta('ID') ) ).'"><i class="fas fa-user-circle"></i><span>'.esc_html(  get_the_author() ).'</span></a>';
                        echo '</li>';
                    }
                    if( $monji_display_post_views ){
                        echo '<li>';
                        echo '<a href="'.esc_url( get_comments_link( get_the_ID() ) ).'"><i class="fal fa-eye"></i>';
                        echo '<span>';
                        echo monji_getPostViews( get_the_ID() );
                        echo esc_html__( ' Views', 'monji' );
                        echo '</span>';
                        echo '</a>';
                        echo '</li>';
                    }
                echo '</ul>';
            echo '</div>';

        }
    }
    // Blog Details Post Navigation hook function
    if( !function_exists( 'monji_blog_details_post_navigation_cb' ) ) {
        function monji_blog_details_post_navigation_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $monji_post_details_post_navigation = monji_opt('monji_post_details_post_navigation');
            } else {
                $monji_post_details_post_navigation = true;
            }

            $prevpost = get_previous_post();
            $nextpost = get_next_post();

            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
            );

            if( $monji_post_details_post_navigation && ! empty( $prevpost ) || !empty( $nextpost ) ) {

                echo '<div class="post-pagi-area">';
                    if( ! empty( $prevpost ) ) {
                        echo '<div class="post-previous">';
                            echo '<a href="'.esc_url( get_permalink( $prevpost->ID ) ).'"><div class="icon"><i class="fas fa-angle-double-left"></i></div><div class="nav-title">'.esc_html__( ' Previus Post', 'monji' ).'<h5>'.wp_trim_words( wp_kses( get_the_title( $prevpost->ID ), $allowhtml ), '2', '' ).'</h5></div></a>';
                        echo '</div>';
                    }
                    if( ! empty( $nextpost ) ) {
                        echo '<div class="post-next">';
                            echo '<a href="'.esc_url( get_permalink( $nextpost->ID ) ).'"><div class="nav-title">'.esc_html__( 'Next Post ', 'monji' ).'<h5>'.wp_trim_words( wp_kses( get_the_title( $nextpost->ID ), $allowhtml ), '2', '' ).'</h5></div> <div class="icon"><i class="fas fa-angle-double-right"></i></div></a>';
                        echo '</div>';
                    }
                echo '</div>';
            }
        }
    }

    // blog details share options hook function
    if( !function_exists('monji_blog_details_share_options_cb') ) {
        function monji_blog_details_share_options_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $monji_post_details_share_options = monji_opt('monji_post_details_share_options');
            } else {
                $monji_post_details_share_options = false;
            }
            if( function_exists( 'monji_social_sharing_buttons' ) && $monji_post_details_share_options ) {
                echo '<div class="social">';
                    echo '<h4>'.esc_html__('Share:','monji').'</h4>';
                    echo '<ul>';
                        echo monji_social_sharing_buttons();
                    echo '</ul>';
                    echo '<!-- End Social Share -->';
                echo '</div>';
            }
        }
    }

    // blog details author bio hook function
    if( !function_exists('monji_blog_details_author_bio_cb') ) {
        function monji_blog_details_author_bio_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $postauthorbox =  monji_opt( 'monji_post_details_author_desc_trigger' );
            } else {
                $postauthorbox = '1';
            }
            if( !empty( get_the_author_meta('description')  ) && $postauthorbox == '1' ) {
                echo '<!-- Start Post Author -->';
                echo '<div class="post-author">';
                    echo '<div class="thumb">';
                        echo monji_img_tag( array(
                            "url"   => esc_url( get_avatar_url( get_the_author_meta('ID'), array(
                            "size"  => 150
                            ) ) ),
                        ) );
                    echo '</div>';
                    echo '<div class="info">';
                        echo monji_heading_tag( array(
                            "tag"   => "h4",
                            "text"  => monji_anchor_tag( array(
                                "text"  => esc_html( ucwords( get_the_author() ) ),
                                "url"   => esc_url( get_author_posts_url( get_the_author_meta('ID') ) ),
                            ) ),
                        ) );
                        if( ! empty( get_the_author_meta('description') ) ) {
                            echo '<p>';
                                echo esc_html( get_the_author_meta('description') );
                            echo '</p>';
                        }
                    echo '</div>';
                echo '</div>';
                echo '<!-- Ebd Post Author -->';
            }

        }
    }

    // Blog Details Comments hook function
    if( !function_exists('monji_blog_details_comments_cb') ) {
        function monji_blog_details_comments_cb( ) {
            if ( ! comments_open() ) {
                echo '<div class="blog-comment-area">';
                    echo monji_heading_tag( array(
                        "tag"   => "h3",
                        "text"  => esc_html__( 'Comments are closed', 'monji' ),
                        "class" => "inner-title"
                    ) );
                echo '</div>';
            }

            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }
        }
    }

    // Blog Details Column end hook function
    if( !function_exists('monji_blog_details_col_end_cb') ) {
        function monji_blog_details_col_end_cb( ) {
            echo '</div>';
        }
    }

    // Blog Details Wrapper end hook function
    if( !function_exists('monji_blog_details_wrapper_end_cb') ) {
        function monji_blog_details_wrapper_end_cb( ) {
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page start wrapper hook function
    if( !function_exists('monji_page_start_wrap_cb') ) {
        function monji_page_start_wrap_cb( ) {
            echo '<section class="default-padding">';
                echo '<div class="container">';
                    echo '<div class="row">';
        }
    }

    // page wrapper end hook function
    if( !function_exists('monji_page_end_wrap_cb') ) {
        function monji_page_end_wrap_cb( ) {
                    echo '</div>';
                echo '</div>';
            echo '</section>';
        }
    }

    // page column wrapper start hook function
    if( !function_exists('monji_page_col_start_wrap_cb') ) {
        function monji_page_col_start_wrap_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $monji_page_sidebar = monji_opt('monji_page_sidebar');
            }else {
                $monji_page_sidebar = '1';
            }
            if( $monji_page_sidebar == '2' && is_active_sidebar('monji-page-sidebar') ) {
                echo '<div class="col-lg-8 order-last">';
            } elseif( $monji_page_sidebar == '3' && is_active_sidebar('monji-page-sidebar') ) {
                echo '<div class="col-lg-8">';
            } else {
                echo '<div class="col-lg-12">';
            }

        }
    }

    // page column wrapper end hook function
    if( !function_exists('monji_page_col_end_wrap_cb') ) {
        function monji_page_col_end_wrap_cb( ) {
            echo '</div>';
        }
    }

    // page sidebar hook function
    if( !function_exists('monji_page_sidebar_cb') ) {
        function monji_page_sidebar_cb( ) {
            if( class_exists('ReduxFramework') ) {
                $monji_page_sidebar = monji_opt('monji_page_sidebar');
            }else {
                $monji_page_sidebar = '1';
            }

            if( class_exists('ReduxFramework') ) {
                $monji_page_layoutopt = monji_opt('monji_page_layoutopt');
            }else {
                $monji_page_layoutopt = '3';
            }

            if( $monji_page_layoutopt == '1' && $monji_page_sidebar != 1 ) {
                get_sidebar('page');
            } elseif( $monji_page_layoutopt == '2' && $monji_page_sidebar != 1 ) {
                get_sidebar();
            }
        }
    }

    // page content hook function
    if( !function_exists('monji_page_content_cb') ) {
        function monji_page_content_cb( ) {
            
            echo '<div class="page--content clearfix">';
                the_content();
                // Link Pages
                monji_link_pages();

            echo '</div>';
            // comment template.
            if ( comments_open() || get_comments_number() ) {
                comments_template();
            }
        }
    }

    if( !function_exists('monji_blog_post_thumb_cb') ) {
        function monji_blog_post_thumb_cb( ) {
            if( get_post_format() ) {
                $format = get_post_format();
            }else{
                $format = 'standard';
            }

            $monji_post_slider_thumbnail = monji_meta( 'post_format_slider' );

            if( !empty( $monji_post_slider_thumbnail ) ){
                echo '<div class="thumb">';
                    echo '<div class="blog-slider owl-carousel owl-theme">';
                        foreach( $monji_post_slider_thumbnail as $single_image ){
                            if( ! is_single() ){
                                echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                            }
                                echo monji_img_tag( array(
                                    'url'   => esc_url( $single_image )
                                ) );
                            if( ! is_single() ){
                                echo '</a>';
                            }
                        }
                    echo '</div>';
                echo '</div>';
            }elseif( has_post_thumbnail() && $format == 'standard' ) {
                echo '<!-- Post Thumbnail -->';
                echo '<div class="thumb">';
                    if( ! is_single() ){
                        echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                    }
                        the_post_thumbnail();
                    if( ! is_single() ){
                        echo '</a>';
                    }
                echo '</div>';
                echo '<!-- End Post Thumbnail -->';
            }elseif( $format == 'video' ){
                if( has_post_thumbnail() && !empty ( monji_meta( 'post_format_video' ) ) ){
                    echo '<div class="thumb responsive-video">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            the_post_thumbnail();
                        if( ! is_single() ){
                            echo '</a>';
                        }
                        echo '<a href="'.esc_url( monji_meta( 'post_format_video' ) ).'">';
                          echo '<i class="fas fa-play"></i>';
                        echo '</a>';
                    echo '</div>';
                }elseif( ! has_post_thumbnail() && ! is_single() ){
                    echo '<div class="blog-video">';
                        if( ! is_single() ){
                            echo '<a href="'.esc_url( get_permalink() ).'" class="post-thumbnail">';
                        }
                            echo monji_embedded_media( array( 'video', 'iframe' ) );
                        if( ! is_single() ){
                            echo '</a>';
                        }
                    echo '</div>';
                }
            }elseif( $format == 'audio' ){
                $monji_audio = monji_meta( 'post_format_audio' );
                if( !empty( $monji_audio ) ){
                    echo '<div class="thumb audio-post">';
                        echo wp_oembed_get( $monji_audio );
                    echo '</div>';
                }elseif( !is_single() ){
                    echo '<div class="blog-audio blog-img">';
                        echo monji_embedded_media( array( 'audio', 'iframe' ) );
                    echo '</div>';
                }
            }

        }
    }

    if( !function_exists( 'monji_blog_post_content_cb' ) ) {
        function monji_blog_post_content_cb( ) {
            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
                'sup'       => array(),
                'sub'       => array(),
            );

            // Blog Post Meta
            do_action( 'monji_blog_post_meta' );
        }
    }

    if( ! function_exists( 'monji_blog_postexcerpt_read_content_cb') ) {
        function monji_blog_postexcerpt_read_content_cb( ) {
            if( class_exists( 'ReduxFramework' ) ) {
                $monji_excerpt_length = monji_opt('monji_blog_postExcerpt');
            } else {
                $monji_excerpt_length = '24';
            }
            $allowhtml = array(
                'p'         => array(
                    'class'     => array()
                ),
                'span'      => array(),
                'a'         => array(
                    'href'      => array(),
                    'title'     => array()
                ),
                'br'        => array(),
                'em'        => array(),
                'strong'    => array(),
                'b'         => array(),
            );

            if( class_exists( 'ReduxFramework' ) ) {
                $monji_blog_admin = monji_opt( 'monji_blog_post_author' );

                $monji_blog_readmore_setting_val = monji_opt('monji_blog_readmore_setting');
                if( $monji_blog_readmore_setting_val == 'custom' ) {
                    $monji_blog_readmore_setting = monji_opt('monji_blog_custom_readmore');
                } else {
                    $monji_blog_readmore_setting = __( 'Read More', 'monji' );
                }
            } else {
                $monji_blog_readmore_setting = __( 'Read More', 'monji' );
                $monji_blog_admin = true;
            }

            echo '<div class="content">';
                echo '<h3><a href="'.esc_url( get_permalink() ).'">'.wp_kses( get_the_title( ), $allowhtml ).'</a></h3>';
                echo '<!-- Post Summary -->';
                    echo monji_paragraph_tag( array(
                        "text"  => wp_kses( wp_trim_words( get_the_excerpt(), $monji_excerpt_length, '' ), $allowhtml ),
                    ) );
                echo '<!-- End Post Summary -->';
                if( $monji_blog_admin || !empty( $monji_blog_readmore_setting ) ){
                    if( !empty( $monji_blog_readmore_setting ) ){
                        echo '<!-- Button -->';
                            echo '<a href="'.esc_url( get_permalink() ).'" class="btn btn-theme effect btn-md">'.esc_html( $monji_blog_readmore_setting ).'</a>';
                        echo '<!-- End Button -->';
                    }
                }
            echo '</div>';        
        }
    }