<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) ) {
        $monji404title        = monji_opt( 'monji_fof_title' );
        $monji404subtitle     = monji_opt( 'monji_fof_subtitle' );
        $monji404description  = monji_opt( 'monji_fof_description' );
        $monji404btntext      = monji_opt( 'monji_fof_btn_text' );
    } else {
        $monji404title        = __( '404', 'monji' );
        $monji404subtitle     = __( 'Oops! That page can’t be found', 'monji' );
        $monji404description  = __( 'Sorry, but the page you are looking for does not existing', 'monji' );
        $monji404btntext      = __( ' Back To Home', 'monji');    
    }


    // get header
    get_header();

    echo '<div class="error-page-area text-center default-padding">';
        echo '<div class="container">';
            echo '<div class="row align-center">';
                echo '<div class="col-lg-8 offset-lg-2">';
                    echo '<div class="error-box">';
                        echo '<h1>'.esc_html( $monji404title ).'</h1>';
                        echo '<h2>'.esc_html( $monji404subtitle ).'</h2>';
                        echo '<p>'.esc_html( $monji404description ).'</p>';
                        echo '<a class="btn circle btn-theme effect btn-md mt-15" href="'.esc_url( home_url('/') ).'">'.esc_html( $monji404btntext ).'</a>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        echo '</div>';
    echo '</div>';

    //footer
    get_footer();