<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

	// Block direct access
	if( !defined( 'ABSPATH' ) ){
		exit();
	}

	/**
	* Hook for preloader
	*/
	add_action( 'monji_preloader_wrap', 'monji_Color_Switcher_cb', 70 );
	add_action( 'monji_preloader_wrap', 'monji_soundmodal_cb', 60 );
	add_action( 'monji_preloader_wrap', 'monji_preloader_wrap_cb', 50 );

	/**
	* Hook for offcanvas cart
	*/
	add_action( 'monji_main_wrapper_start', 'monji_main_wrapper_start_cb', 10 );

	/**
	* Hook for Header
	*/
	add_action( 'monji_header', 'monji_header_cb', 10 );

	/**
	* Hook for Blog Start Wrapper
	*/
	add_action( 'monji_blog_start_wrap', 'monji_blog_start_wrap_cb', 10 );

	/**
	* Hook for Blog Column Start Wrapper
	*/
    add_action( 'monji_blog_col_start_wrap', 'monji_blog_col_start_wrap_cb', 10 );

	/**
	* Hook for Service Column Start Wrapper
	*/
    add_action( 'monji_service_col_start_wrap', 'monji_service_col_start_wrap_cb', 10 );

	/**
	* Hook for Blog Column End Wrapper
	*/
    add_action( 'monji_blog_col_end_wrap', 'monji_blog_col_end_wrap_cb', 10 );

	/**
	* Hook for Blog Column End Wrapper
	*/
    add_action( 'monji_blog_end_wrap', 'monji_blog_end_wrap_cb', 10 );

	/**
	* Hook for Blog Pagination
	*/
    add_action( 'monji_blog_pagination', 'monji_blog_pagination_cb', 10 );

    /**
	* Hook for Blog Content
	*/
	add_action( 'monji_blog_content', 'monji_blog_content_cb', 10 );

    /**
	* Hook for Blog Sidebar
	*/
	add_action( 'monji_blog_sidebar', 'monji_blog_sidebar_cb', 10 );


    /**
	* Hook for Service Sidebar
	*/
	add_action( 'monji_service_sidebar', 'monji_service_sidebar_cb', 10 );

    /**
	* Hook for Blog Details Sidebar
	*/
	add_action( 'monji_blog_details_sidebar', 'monji_blog_details_sidebar_cb', 10 );

	/**
	* Hook for Blog Details Wrapper Start
	*/
	add_action( 'monji_blog_details_wrapper_start', 'monji_blog_details_wrapper_start_cb', 10 );

	/**
	* Hook for Blog Details Post Meta
	*/
	add_action( 'monji_blog_post_meta', 'monji_blog_post_meta_cb', 10 );

	/**
	* Hook for Blog Details Post Share Options
	*/
	add_action( 'monji_blog_details_share_options', 'monji_blog_details_share_options_cb', 10 );

	/**
	* Hook for Blog Details Post Author Bio
	*/
	add_action( 'monji_blog_details_author_bio', 'monji_blog_details_author_bio_cb', 10 );

	/**
	* Hook for Blog Details Tags and Categories
	*/
	add_action( 'monji_blog_details_tags_and_categories', 'monji_blog_details_tags_and_categories_cb', 10 );
	add_action( 'monji_blog_details_post_navigation', 'monji_blog_details_post_navigation_cb', 10 );

	/**
	* Hook for Blog Deatils Comments
	*/
	add_action( 'monji_blog_details_comments', 'monji_blog_details_comments_cb', 10 );

	/**
	* Hook for Blog Deatils Column Start
	*/
	add_action('monji_blog_details_col_start','monji_blog_details_col_start_cb');

	/**
	* Hook for Blog Deatils Column End
	*/
	add_action('monji_blog_details_col_end','monji_blog_details_col_end_cb');

	/**
	* Hook for Blog Deatils Wrapper End
	*/
	add_action('monji_blog_details_wrapper_end','monji_blog_details_wrapper_end_cb');

	/**
	* Hook for Blog Post Thumbnail
	*/
	add_action('monji_blog_post_thumb','monji_blog_post_thumb_cb');

	/**
	* Hook for Blog Post Content
	*/
	add_action('monji_blog_post_content','monji_blog_post_content_cb');


	/**
	* Hook for Blog Post Excerpt And Read More Button
	*/
	add_action('monji_blog_postexcerpt_read_content','monji_blog_postexcerpt_read_content_cb');

	/**
	* Hook for footer content
	*/
	add_action( 'monji_footer_content', 'monji_footer_content_cb', 10 );

	/**
	* Hook for main wrapper end
	*/
	add_action( 'monji_main_wrapper_end', 'monji_main_wrapper_end_cb', 10 );

	/**
	* Hook for Page Start Wrapper
	*/
	add_action( 'monji_page_start_wrap', 'monji_page_start_wrap_cb', 10 );

	/**
	* Hook for Page End Wrapper
	*/
	add_action( 'monji_page_end_wrap', 'monji_page_end_wrap_cb', 10 );

	/**
	* Hook for Page Column Start Wrapper
	*/
	add_action( 'monji_page_col_start_wrap', 'monji_page_col_start_wrap_cb', 10 );

	/**
	* Hook for Page Column End Wrapper
	*/
	add_action( 'monji_page_col_end_wrap', 'monji_page_col_end_wrap_cb', 10 );

	/**
	* Hook for Page Column End Wrapper
	*/
	add_action( 'monji_page_sidebar', 'monji_page_sidebar_cb', 10 );

	/**
	* Hook for Page Content
	*/
	add_action( 'monji_page_content', 'monji_page_content_cb', 10 );