<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

// Block direct access
if ( !defined( 'ABSPATH' ) ) {
    exit;
}

/**
 *
 * Define constant
 *
 */

// Base URI
if ( ! defined( 'MONJI_DIR_URI' ) ) {
    define('MONJI_DIR_URI', get_parent_theme_file_uri().'/' );
}

// Assist URI
if ( ! defined( 'MONJI_DIR_ASSIST_URI' ) ) {
    define( 'MONJI_DIR_ASSIST_URI', get_theme_file_uri('/assets/') );
}


// Css File URI
if ( ! defined( 'MONJI_DIR_CSS_URI' ) ) {
    define( 'MONJI_DIR_CSS_URI', get_theme_file_uri('/assets/css/') );
}

// Skin Css File
if ( ! defined( 'MONJI_DIR_SKIN_CSS_URI' ) ) {
    define( 'MONJI_DIR_SKIN_CSS_URI', get_theme_file_uri('/assets/css/skins/') );
}


// Js File URI
if (!defined('MONJI_DIR_JS_URI')) {
    define('MONJI_DIR_JS_URI', get_theme_file_uri('/assets/js/'));
}


// External PLugin File URI
if (!defined('MONJI_DIR_PLUGIN_URI')) {
    define('MONJI_DIR_PLUGIN_URI', get_theme_file_uri( '/assets/plugins/'));
}

// Base Directory
if (!defined('MONJI_DIR_PATH')) {
    define('MONJI_DIR_PATH', get_parent_theme_file_path() . '/');
}

//Inc Folder Directory
if (!defined('MONJI_DIR_PATH_INC')) {
    define('MONJI_DIR_PATH_INC', MONJI_DIR_PATH . 'inc/');
}

//MONJI framework Folder Directory
if (!defined('MONJI_DIR_PATH_FRAM')) {
    define('MONJI_DIR_PATH_FRAM', MONJI_DIR_PATH_INC . 'monji-framework/');
}

//Classes Folder Directory
if (!defined('MONJI_DIR_PATH_CLASSES')) {
    define('MONJI_DIR_PATH_CLASSES', MONJI_DIR_PATH_INC . 'classes/');
}

//Hooks Folder Directory
if (!defined('MONJI_DIR_PATH_HOOKS')) {
    define('MONJI_DIR_PATH_HOOKS', MONJI_DIR_PATH_INC . 'hooks/');
}

//Demo Data Folder Directory Path
if( !defined( 'MONJI_DEMO_DIR_PATH' ) ){
    define( 'MONJI_DEMO_DIR_PATH', MONJI_DIR_PATH_INC.'demo-data/' );
}
    
//Demo Data Folder Directory URI
if( !defined( 'MONJI_DEMO_DIR_URI' ) ){
    define( 'MONJI_DEMO_DIR_URI', MONJI_DIR_URI.'inc/demo-data/' );
}