<?php
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) && defined('ELEMENTOR_VERSION') ) {
        if( is_page() || is_page_template('template-builder.php') || is_page_template('home-slider-version.php') ) {
            $monji_post_id = get_the_ID();

            // Get the page settings manager
            $monji_page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

            // Get the settings model for current post
            $monji_page_settings_model = $monji_page_settings_manager->get_model( $monji_post_id );

            // Retrieve the color we added before
            $monji_header_style = $monji_page_settings_model->get_settings( 'monji_header_style' );
            $monji_header_builder_option = $monji_page_settings_model->get_settings( 'monji_header_builder_option' );

            if( $monji_header_style == 'header_builder'  ) {

                if( !empty( $monji_header_builder_option ) ) {
                    $monjiheader = get_post( $monji_header_builder_option );
                    
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $monjiheader->ID );
                    
                }
            } else {
                // global options
                $monji_header_builder_trigger = monji_opt('monji_header_options');
                if( $monji_header_builder_trigger == '2' ) {
                    echo '<header>';
                    $monji_global_header_select = get_post( monji_opt( 'monji_header_select_options' ) );
                    $header_post = get_post( $monji_global_header_select );
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_post->ID );
                    echo '</header>';
                } else {
                    // wordpress Header
                    monji_global_header_option();
                }
            }
        } else {
            $monji_header_options = monji_opt('monji_header_options');
            if( $monji_header_options == '1' ) {
                monji_global_header_option();
            } else {
                $monji_header_select_options = monji_opt('monji_header_select_options');
                $monjiheader = get_post( $monji_header_select_options );
                echo '<header>';
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $monjiheader->ID );
                echo '</header>';
            }
        }
    } else {
        monji_global_header_option();
    }